xine-lib: xine-lib-1.2.12/src/video_dec/rgb.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
rgb.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <xine/xine_internal.h>`
`#include <xine/video_out.h>`
`#include <xine/buffer.h>`
`#include <xine/xineutils.h>`
`#include "group_raw.h"`

## Data Structures
struct | rgb_decoder_s

## Macros
#define | LOG_MODULE "rgb"
#define | LOG_VERBOSE

## Typedefs
typedef struct rgb_decoder_s | rgb_decoder_t

## Functions
static void | rgb_decode_data (video_decoder_t *this_gen, buf_element_t *buf)
static void | rgb_flush (video_decoder_t *this_gen)
static void | rgb_reset (video_decoder_t *this_gen)
static void | rgb_discontinuity (video_decoder_t *this_gen)
static void | rgb_dispose (video_decoder_t *this_gen)
static video_decoder_t * | open_plugin (video_decoder_class_t *class_gen, xine_stream_t *stream)
void * | decode_rgb_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "rgb"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Typedef Documentation

## ◆ rgb_decoder_t

typedef struct rgb_decoder_s rgb_decoder_t

## Function Documentation

## ◆ decode_rgb_init_class()

void * decode_rgb_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and video_decoder_class_s::open_plugin.

## ◆ open_plugin()

static video_decoder_t * open_plugin | ( | video_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References NULL, rgb_decode_data(), rgb_discontinuity(), rgb_dispose(), rgb_flush(), and rgb_reset().

Referenced by decode_rgb_init_class().

## ◆ rgb_decode_data()

static void rgb_decode_data | ( | video_decoder_t * | this_gen,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_meta_info_set_utf8(), _x_stream_info_set(), vo_frame_s::bad_frame, vo_frame_s::base, xine_bmiheader::biBitCount, xine_bmiheader::biHeight, xine_bmiheader::biWidth, BUF_FLAG_FRAME_END, BUF_FLAG_FRAMERATE, BUF_FLAG_PREVIEW, BUF_FLAG_SPECIAL, BUF_FLAG_STDHEADER, BUF_SPECIAL_PALETTE, bytes_per_pixel, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, buf_element_s::decoder_info_ptr, vo_frame_s::draw, vo_frame_s::duration, vo_frame_s::free, vo_frame_s::height, height, LOG_MODULE, lprintf, NULL, vo_frame_s::pitches, buf_element_s::pts, vo_frame_s::pts, rgb2yuy2_alloc(), rgb2yuy2_free(), rgb2yuy2_palette(), rgb2yuy2_slice(), buf_element_s::size, VO_BOTH_FIELDS, VO_CAP_FULLRANGE, VO_GET_FRAME_MAY_FAIL, VO_SET_FLAGS_CM, vo_frame_s::width, width, xine_fast_memcpy, XINE_IMGFMT_YUY2, XINE_META_INFO_VIDEOCODEC, XINE_STREAM_INFO_FRAME_DURATION, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_plugin().

## ◆ rgb_discontinuity()

static void rgb_discontinuity | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ rgb_dispose()

static void rgb_dispose | ( | video_decoder_t * | this_gen | ) |
| static

References rgb2yuy2_free().

Referenced by open_plugin().

## ◆ rgb_flush()

static void rgb_flush | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ rgb_reset()

static void rgb_reset | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().